Project

General

Profile

Bug #18992

Installation on Centos 7 - qpidd.service failed with katello 3.3

Added by Jose Luis Mantilla about 5 years ago. Updated almost 4 years ago.

Status:
Rejected
Priority:
Urgent
Assignee:
-
Category:
Installer
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Hello everyone

When I follow the steps from https://theforeman.org/plugins/katello/3.3/installation/index.html, I find the qpidd service failed message.

Steps:
After you execute:
#foreman-installer --scenario katello
Systemd start for qpidd failed!
journalctl log for qpidd:
-- Logs begin at Thu 2017-03-23 00:03:58 UTC, end at Thu 2017-03-23 01:10:00 UTC. --
Mar 23 01:10:00 foreman systemd1: Started An AMQP message broker daemon..
Mar 23 01:10:00 foreman systemd1: Starting An AMQP message broker daemon....
Mar 23 01:10:00 foreman systemd1: qpidd.service: main process exited, code=killed, status=11/SEGV
Mar 23 01:10:00 foreman systemd1: Unit qpidd.service entered failed state.
Mar 23 01:10:00 foreman systemd1: qpidd.service failed.

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/service/systemd.rb:166:in `rescue in start'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/provider/service/systemd.rb:163:in `start'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type/service.rb:103:in `block (3 levels) in <module:Puppet>'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:487:in `set'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property.rb:561:in `sync'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type/service.rb:114:in `sync'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:236:in `sync'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:134:in `sync_if_needed'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:80:in `perform_changes'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/resource_harness.rb:21:in `evaluate'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:230:in `apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:246:in `eval_resource'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:163:in `call'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:163:in `block (2 levels) in evaluate'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:386:in `block in thinmark'
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `realtime'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:385:in `thinmark'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:163:in `block in evaluate'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relationship_graph.rb:118:in `traverse'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction.rb:154:in `evaluate'
/usr/share/gems/gems/kafo-1.0.5/modules/kafo_configure/lib/puppet/parser/functions/add_progress.rb:30:in `evaluate_with_trigger'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:222:in `block in apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb:155:in `with_destination'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction/report.rb:142:in `as_logging_destination'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/catalog.rb:221:in `apply'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:171:in `block in apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223:in `block in benchmark'
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in `realtime'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:222:in `benchmark'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:170:in `apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:343:in `run_internal'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:221:in `block in run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:293:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.rb:195:in `run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:350:in `apply_catalog'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:274:in `block in main'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:293:in `override'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:225:in `main'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application/apply.rb:170:in `run_command'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:344:in `block in run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:541:in `exit_on_fail'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application.rb:344:in `run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:132:in `run'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/command_line.rb:72:in `execute'
/opt/puppetlabs/puppet/bin/puppet:5:in `<main>'
/Stage[main]/Qpid::Service/Service[qpidd]/ensure: change from stopped to running failed: Systemd start for qpidd failed!
journalctl log for qpidd:
-- Logs begin at Thu 2017-03-23 00:03:58 UTC, end at Thu 2017-03-23 01:10:00 UTC. --
Mar 23 01:10:00 foreman systemd1: Started An AMQP message broker daemon..
Mar 23 01:10:00 foreman systemd1: Starting An AMQP message broker daemon....
Mar 23 01:10:00 foreman systemd1: qpidd.service: main process exited, code=killed, status=11/SEGV
Mar 23 01:10:00 foreman systemd1: Unit qpidd.service entered failed state.
Mar 23 01:10:00 foreman systemd1: qpidd.service failed.
Installing Done [100%] [...................]
Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/foreman-installer/katello.log

History

#1 Updated by Justin Sherrill about 5 years ago

  • Status changed from New to Need more information

Did you use puppet 4 (the default) or puppet 3?

#2 Updated by Jose Luis Mantilla about 5 years ago

Justin Sherrill wrote:

Did you use puppet 4 (the default) or puppet 3?

The issue is with puppet 4 (the default).

#3 Updated by Justin Sherrill about 5 years ago

  • Legacy Backlogs Release (now unused) changed from 226 to 228

#4 Updated by Justin Sherrill almost 5 years ago

Hi, Sorry for the delay,

We haven't been able to reproduce this issue, would you be able to upload any logs related to the error? Also maybe retesting when 3.4.0 is released would be good to try.

#5 Updated by Justin Sherrill almost 5 years ago

  • Legacy Backlogs Release (now unused) changed from 228 to 166

#6 Updated by Eric Helms almost 5 years ago

  • Status changed from Need more information to Rejected

Also available in: Atom PDF